[Qa-jenkins-scm] [jenkins.debian.net] 01/01: torbrowser tests: finetuning (make python output unbuffered & thus grep'able)

Holger Levsen holger at moszumanska.debian.org
Mon Nov 16 21:15:42 UTC 2015


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit fdc671703afc6c3e33235f287226596d4abb09d6
Author: Holger Levsen <holger at layer-acht.org>
Date:   Mon Nov 16 22:15:29 2015 +0100

    torbrowser tests: finetuning (make python output unbuffered & thus grep'able)
---
 TODO                            | 5 +++--
 bin/test_torbrowser-launcher.sh | 9 +++++----
 2 files changed, 8 insertions(+), 6 deletions(-)

diff --git a/TODO b/TODO
index 3977628..e48188f 100644
--- a/TODO
+++ b/TODO
@@ -411,11 +411,12 @@ The following ideas should really only be implemented for the new 'lvc*' tests..
 
 === torbrowser-launcher_*
 
+* new job: merge debian branch in upstream master branch, build a package and install it
 * not sure how to test updates. maybe just run in yesterdays schroot before upgrading
-* notifications should go somewhere public
+* notifications should go somewhere public, after a while of testing.
 * debug why iceweasel is needed to be installed… and ca-certificates too.
 * run this in qemu and enable apparmor too?
-* probably not: test with python-pygame installed too?
+* probably not: test with python-pygame installed.
 
 == Further ideas...
 
diff --git a/bin/test_torbrowser-launcher.sh b/bin/test_torbrowser-launcher.sh
index 7a935e6..300c250 100755
--- a/bin/test_torbrowser-launcher.sh
+++ b/bin/test_torbrowser-launcher.sh
@@ -50,7 +50,7 @@ cleanup_duplicate_screenshots() {
 			fi
 			PIXELS=$(compare -metric AE $i $j /dev/null 2>&1 || true)
 			if [[ "$PIXELS" =~ ^[0-9]+$ ]] && [ $PIXELS -le $MAXDIFF ] ; then
-				echo "$(date -u ) - removing $j, just $PIXELS difference."
+				echo "$(date -u ) - removing $j, just $PIXELS pixels difference."
 				rm $j
 			fi
 		done
@@ -131,7 +131,8 @@ download_and_launch() {
 	echo "'$(date -u) - starting torbrowser tests'" | tee | xargs schroot --run-session -c $SESSION --preserve-environment -- notify-send
 	update_screenshot
 	echo "$(date -u) - starting torbrowser-launcher the first time, opening settings…"
-	timeout -k 30m 29m schroot --run-session -c $SESSION --preserve-environment -- torbrowser-launcher --settings | tee $TBL_LOGFILE &
+	export PYTHONUNBUFFERED=true
+	( timeout -k 30m 29m schroot --run-session -c $SESSION --preserve-environment -- /usr/bin/torbrowser-launcher --settings 2>&1 |& tee $TBL_LOGFILE || true ) &
 	sleep 10
 	update_screenshot
 	echo "$(date -u) - pressing <tab>"
@@ -207,8 +208,8 @@ download_and_launch() {
 	xvkbd -text "\r" > /dev/null 2>&1
 	sleep 3
 	update_screenshot
-	for i in $(seq 1 2) ; do
-		sleep 15
+	for i in $(seq 1 4) ; do
+		sleep 10
 		update_screenshot
 	done
 	TOR_RUNNING=$(gocr $WORKSPACE/screenshot.png 2>/dev/null | egrep "(Search securely|Tor Is NOT all you need to browse|There are many ways you can help)" || true)

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list